import os

def delete_empty_files(start_path):
    for root, _, files in os.walk(start_path):
        for file in files:
            file_path = os.path.join(root, file)
            if os.path.getsize(file_path) == 0:
                print(f"Deleting {file_path}...")
                os.remove(file_path)

if __name__ == "__main__":
    current_directory = os.path.dirname(os.path.abspath(__file__))
    delete_empty_files(current_directory)
